Package: groovy.org.codenarc.rule.generic

## [Groovy] Class IllegalSubclassRule

- groovy.org.codenarc.rule.generic.IllegalSubclassRule

- Checks for classes that extend one of the specified set of illegal superclasses.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`
    `String` | `superclassNames`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isReady()`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority

    - #### String superclassNames

  - ### Method Detail

    - #### boolean isReady()